import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataTfeOauthClientConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/oauth_client#oauth_client_id DataTfeOauthClient#oauth_client_id}.
     *
     * @stability stable
     */
    readonly oauthClientId: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/d/oauth_client tfe_oauth_client}.
 *
 * @stability stable
 */
export declare class DataTfeOauthClient extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/oauth_client tfe_oauth_client} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataTfeOauthClientConfig);
    /**
     * @stability stable
     */
    get apiUrl(): string;
    /**
     * @stability stable
     */
    get httpUrl(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _oauthClientId?;
    /**
     * @stability stable
     */
    get oauthClientId(): string;
    /**
     * @stability stable
     */
    set oauthClientId(value: string);
    /**
     * @stability stable
     */
    get oauthClientIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get oauthTokenId(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
