import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataTfeOutputsConfig extends cdktf.TerraformMetaArguments {
    /**
     * The organization to fetch the remote state from.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/outputs#organization DataTfeOutputs#organization}
     *
     * @stability stable
     */
    readonly organization: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/outputs#values DataTfeOutputs#values}.
     *
     * @stability stable
     */
    readonly values?: {
        [key: string]: any;
    } | cdktf.IResolvable;
    /**
     * The workspace to fetch the remote state from.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/outputs#workspace DataTfeOutputs#workspace}
     *
     * @stability stable
     */
    readonly workspace: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/d/outputs tfe_outputs}.
 *
 * @stability stable
 */
export declare class DataTfeOutputs extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/outputs tfe_outputs} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataTfeOutputsConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _organization?;
    /**
     * @stability stable
     */
    get organization(): string;
    /**
     * @stability stable
     */
    set organization(value: string);
    /**
     * @stability stable
     */
    get organizationInput(): string | undefined;
    private _values?;
    /**
     * @stability stable
     */
    get values(): {
        [key: string]: any;
    } | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set values(value: {
        [key: string]: any;
    } | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetValues(): void;
    /**
     * @stability stable
     */
    get valuesInput(): cdktf.IResolvable | {
        [key: string]: any;
    } | undefined;
    private _workspace?;
    /**
     * @stability stable
     */
    get workspace(): string;
    /**
     * @stability stable
     */
    set workspace(value: string);
    /**
     * @stability stable
     */
    get workspaceInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
