import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataTfeSlugConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/slug#source_path DataTfeSlug#source_path}.
     *
     * @stability stable
     */
    readonly sourcePath: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/d/slug tfe_slug}.
 *
 * @stability stable
 */
export declare class DataTfeSlug extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/slug tfe_slug} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataTfeSlugConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _sourcePath?;
    /**
     * @stability stable
     */
    get sourcePath(): string;
    /**
     * @stability stable
     */
    set sourcePath(value: string);
    /**
     * @stability stable
     */
    get sourcePathInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
