import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataTfeTeamAccessConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/team_access#team_id DataTfeTeamAccess#team_id}.
     *
     * @stability stable
     */
    readonly teamId: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/team_access#workspace_id DataTfeTeamAccess#workspace_id}.
     *
     * @stability stable
     */
    readonly workspaceId: string;
}
/**
 * @stability stable
 */
export declare class DataTfeTeamAccessPermissions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get runs(): string;
    /**
     * @stability stable
     */
    get sentinelMocks(): string;
    /**
     * @stability stable
     */
    get stateVersions(): string;
    /**
     * @stability stable
     */
    get variables(): string;
    /**
     * @stability stable
     */
    get workspaceLocking(): any;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/d/team_access tfe_team_access}.
 *
 * @stability stable
 */
export declare class DataTfeTeamAccess extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/team_access tfe_team_access} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataTfeTeamAccessConfig);
    /**
     * @stability stable
     */
    get access(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    permissions(index: string): DataTfeTeamAccessPermissions;
    private _teamId?;
    /**
     * @stability stable
     */
    get teamId(): string;
    /**
     * @stability stable
     */
    set teamId(value: string);
    /**
     * @stability stable
     */
    get teamIdInput(): string | undefined;
    private _workspaceId?;
    /**
     * @stability stable
     */
    get workspaceId(): string;
    /**
     * @stability stable
     */
    set workspaceId(value: string);
    /**
     * @stability stable
     */
    get workspaceIdInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
