import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataTfeWorkspaceIdsConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/workspace_ids#names DataTfeWorkspaceIds#names}.
     *
     * @stability stable
     */
    readonly names?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/workspace_ids#organization DataTfeWorkspaceIds#organization}.
     *
     * @stability stable
     */
    readonly organization: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/workspace_ids#tag_names DataTfeWorkspaceIds#tag_names}.
     *
     * @stability stable
     */
    readonly tagNames?: string[];
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/d/workspace_ids tfe_workspace_ids}.
 *
 * @stability stable
 */
export declare class DataTfeWorkspaceIds extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/workspace_ids tfe_workspace_ids} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataTfeWorkspaceIdsConfig);
    /**
     * @stability stable
     */
    fullNames(key: string): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    ids(key: string): string;
    private _names?;
    /**
     * @stability stable
     */
    get names(): string[];
    /**
     * @stability stable
     */
    set names(value: string[]);
    /**
     * @stability stable
     */
    resetNames(): void;
    /**
     * @stability stable
     */
    get namesInput(): string[] | undefined;
    private _organization?;
    /**
     * @stability stable
     */
    get organization(): string;
    /**
     * @stability stable
     */
    set organization(value: string);
    /**
     * @stability stable
     */
    get organizationInput(): string | undefined;
    private _tagNames?;
    /**
     * @stability stable
     */
    get tagNames(): string[];
    /**
     * @stability stable
     */
    set tagNames(value: string[]);
    /**
     * @stability stable
     */
    resetTagNames(): void;
    /**
     * @stability stable
     */
    get tagNamesInput(): string[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
