import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataTfeWorkspaceConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/workspace#name DataTfeWorkspace#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/workspace#organization DataTfeWorkspace#organization}.
     *
     * @stability stable
     */
    readonly organization: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/workspace#tag_names DataTfeWorkspace#tag_names}.
     *
     * @stability stable
     */
    readonly tagNames?: string[];
}
/**
 * @stability stable
 */
export declare class DataTfeWorkspaceVcsRepo extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get branch(): string;
    /**
     * @stability stable
     */
    get identifier(): string;
    /**
     * @stability stable
     */
    get ingressSubmodules(): any;
    /**
     * @stability stable
     */
    get oauthTokenId(): string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/d/workspace tfe_workspace}.
 *
 * @stability stable
 */
export declare class DataTfeWorkspace extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/workspace tfe_workspace} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataTfeWorkspaceConfig);
    /**
     * @stability stable
     */
    get allowDestroyPlan(): any;
    /**
     * @stability stable
     */
    get autoApply(): any;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get fileTriggersEnabled(): any;
    /**
     * @stability stable
     */
    get globalRemoteState(): any;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    get operations(): any;
    private _organization?;
    /**
     * @stability stable
     */
    get organization(): string;
    /**
     * @stability stable
     */
    set organization(value: string);
    /**
     * @stability stable
     */
    get organizationInput(): string | undefined;
    /**
     * @stability stable
     */
    get policyCheckFailures(): number;
    /**
     * @stability stable
     */
    get queueAllRuns(): any;
    /**
     * @stability stable
     */
    get remoteStateConsumerIds(): string[];
    /**
     * @stability stable
     */
    get resourceCount(): number;
    /**
     * @stability stable
     */
    get runFailures(): number;
    /**
     * @stability stable
     */
    get runsCount(): number;
    /**
     * @stability stable
     */
    get speculativeEnabled(): any;
    /**
     * @stability stable
     */
    get sshKeyId(): string;
    /**
     * @stability stable
     */
    get structuredRunOutputEnabled(): any;
    private _tagNames?;
    /**
     * @stability stable
     */
    get tagNames(): string[];
    /**
     * @stability stable
     */
    set tagNames(value: string[]);
    /**
     * @stability stable
     */
    resetTagNames(): void;
    /**
     * @stability stable
     */
    get tagNamesInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get terraformVersion(): string;
    /**
     * @stability stable
     */
    get triggerPrefixes(): string[];
    /**
     * @stability stable
     */
    vcsRepo(index: string): DataTfeWorkspaceVcsRepo;
    /**
     * @stability stable
     */
    get workingDirectory(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
