import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface OauthClientConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/oauth_client#api_url OauthClient#api_url}.
     *
     * @stability stable
     */
    readonly apiUrl: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/oauth_client#http_url OauthClient#http_url}.
     *
     * @stability stable
     */
    readonly httpUrl: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/oauth_client#oauth_token OauthClient#oauth_token}.
     *
     * @stability stable
     */
    readonly oauthToken: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/oauth_client#organization OauthClient#organization}.
     *
     * @stability stable
     */
    readonly organization: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/oauth_client#private_key OauthClient#private_key}.
     *
     * @stability stable
     */
    readonly privateKey?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/oauth_client#service_provider OauthClient#service_provider}.
     *
     * @stability stable
     */
    readonly serviceProvider: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/r/oauth_client tfe_oauth_client}.
 *
 * @stability stable
 */
export declare class OauthClient extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/r/oauth_client tfe_oauth_client} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: OauthClientConfig);
    private _apiUrl?;
    /**
     * @stability stable
     */
    get apiUrl(): string;
    /**
     * @stability stable
     */
    set apiUrl(value: string);
    /**
     * @stability stable
     */
    get apiUrlInput(): string | undefined;
    private _httpUrl?;
    /**
     * @stability stable
     */
    get httpUrl(): string;
    /**
     * @stability stable
     */
    set httpUrl(value: string);
    /**
     * @stability stable
     */
    get httpUrlInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _oauthToken?;
    /**
     * @stability stable
     */
    get oauthToken(): string;
    /**
     * @stability stable
     */
    set oauthToken(value: string);
    /**
     * @stability stable
     */
    get oauthTokenInput(): string | undefined;
    /**
     * @stability stable
     */
    get oauthTokenId(): string;
    private _organization?;
    /**
     * @stability stable
     */
    get organization(): string;
    /**
     * @stability stable
     */
    set organization(value: string);
    /**
     * @stability stable
     */
    get organizationInput(): string | undefined;
    private _privateKey?;
    /**
     * @stability stable
     */
    get privateKey(): string;
    /**
     * @stability stable
     */
    set privateKey(value: string);
    /**
     * @stability stable
     */
    resetPrivateKey(): void;
    /**
     * @stability stable
     */
    get privateKeyInput(): string | undefined;
    private _serviceProvider?;
    /**
     * @stability stable
     */
    get serviceProvider(): string;
    /**
     * @stability stable
     */
    set serviceProvider(value: string);
    /**
     * @stability stable
     */
    get serviceProviderInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
