import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface OrganizationTokenConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/organization_token#force_regenerate OrganizationToken#force_regenerate}.
     *
     * @stability stable
     */
    readonly forceRegenerate?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/organization_token#organization OrganizationToken#organization}.
     *
     * @stability stable
     */
    readonly organization: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/r/organization_token tfe_organization_token}.
 *
 * @stability stable
 */
export declare class OrganizationToken extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/r/organization_token tfe_organization_token} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: OrganizationTokenConfig);
    private _forceRegenerate?;
    /**
     * @stability stable
     */
    get forceRegenerate(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set forceRegenerate(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetForceRegenerate(): void;
    /**
     * @stability stable
     */
    get forceRegenerateInput(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _organization?;
    /**
     * @stability stable
     */
    get organization(): string;
    /**
     * @stability stable
     */
    set organization(value: string);
    /**
     * @stability stable
     */
    get organizationInput(): string | undefined;
    /**
     * @stability stable
     */
    get token(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
