import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface OrganizationConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/organization#collaborator_auth_policy Organization#collaborator_auth_policy}.
     *
     * @stability stable
     */
    readonly collaboratorAuthPolicy?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/organization#cost_estimation_enabled Organization#cost_estimation_enabled}.
     *
     * @stability stable
     */
    readonly costEstimationEnabled?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/organization#email Organization#email}.
     *
     * @stability stable
     */
    readonly email: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/organization#name Organization#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/organization#owners_team_saml_role_id Organization#owners_team_saml_role_id}.
     *
     * @stability stable
     */
    readonly ownersTeamSamlRoleId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/organization#session_remember_minutes Organization#session_remember_minutes}.
     *
     * @stability stable
     */
    readonly sessionRememberMinutes?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/organization#session_timeout_minutes Organization#session_timeout_minutes}.
     *
     * @stability stable
     */
    readonly sessionTimeoutMinutes?: number;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/r/organization tfe_organization}.
 *
 * @stability stable
 */
export declare class Organization extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/r/organization tfe_organization} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: OrganizationConfig);
    private _collaboratorAuthPolicy?;
    /**
     * @stability stable
     */
    get collaboratorAuthPolicy(): string;
    /**
     * @stability stable
     */
    set collaboratorAuthPolicy(value: string);
    /**
     * @stability stable
     */
    resetCollaboratorAuthPolicy(): void;
    /**
     * @stability stable
     */
    get collaboratorAuthPolicyInput(): string | undefined;
    private _costEstimationEnabled?;
    /**
     * @stability stable
     */
    get costEstimationEnabled(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set costEstimationEnabled(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetCostEstimationEnabled(): void;
    /**
     * @stability stable
     */
    get costEstimationEnabledInput(): boolean | cdktf.IResolvable | undefined;
    private _email?;
    /**
     * @stability stable
     */
    get email(): string;
    /**
     * @stability stable
     */
    set email(value: string);
    /**
     * @stability stable
     */
    get emailInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _ownersTeamSamlRoleId?;
    /**
     * @stability stable
     */
    get ownersTeamSamlRoleId(): string;
    /**
     * @stability stable
     */
    set ownersTeamSamlRoleId(value: string);
    /**
     * @stability stable
     */
    resetOwnersTeamSamlRoleId(): void;
    /**
     * @stability stable
     */
    get ownersTeamSamlRoleIdInput(): string | undefined;
    private _sessionRememberMinutes?;
    /**
     * @stability stable
     */
    get sessionRememberMinutes(): number;
    /**
     * @stability stable
     */
    set sessionRememberMinutes(value: number);
    /**
     * @stability stable
     */
    resetSessionRememberMinutes(): void;
    /**
     * @stability stable
     */
    get sessionRememberMinutesInput(): number | undefined;
    private _sessionTimeoutMinutes?;
    /**
     * @stability stable
     */
    get sessionTimeoutMinutes(): number;
    /**
     * @stability stable
     */
    set sessionTimeoutMinutes(value: number);
    /**
     * @stability stable
     */
    resetSessionTimeoutMinutes(): void;
    /**
     * @stability stable
     */
    get sessionTimeoutMinutesInput(): number | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
