import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface RegistryModuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * vcs_repo block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/registry_module#vcs_repo RegistryModule#vcs_repo}
     *
     * @stability stable
     */
    readonly vcsRepo: RegistryModuleVcsRepo;
}
/**
 * @stability stable
 */
export interface RegistryModuleVcsRepo {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/registry_module#display_identifier RegistryModule#display_identifier}.
     *
     * @stability stable
     */
    readonly displayIdentifier: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/registry_module#identifier RegistryModule#identifier}.
     *
     * @stability stable
     */
    readonly identifier: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/registry_module#oauth_token_id RegistryModule#oauth_token_id}.
     *
     * @stability stable
     */
    readonly oauthTokenId: string;
}
export declare function registryModuleVcsRepoToTerraform(struct?: RegistryModuleVcsRepoOutputReference | RegistryModuleVcsRepo): any;
/**
 * @stability stable
 */
export declare class RegistryModuleVcsRepoOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): RegistryModuleVcsRepo | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: RegistryModuleVcsRepo | undefined);
    private _displayIdentifier?;
    /**
     * @stability stable
     */
    get displayIdentifier(): string;
    /**
     * @stability stable
     */
    set displayIdentifier(value: string);
    /**
     * @stability stable
     */
    get displayIdentifierInput(): string | undefined;
    private _identifier?;
    /**
     * @stability stable
     */
    get identifier(): string;
    /**
     * @stability stable
     */
    set identifier(value: string);
    /**
     * @stability stable
     */
    get identifierInput(): string | undefined;
    private _oauthTokenId?;
    /**
     * @stability stable
     */
    get oauthTokenId(): string;
    /**
     * @stability stable
     */
    set oauthTokenId(value: string);
    /**
     * @stability stable
     */
    get oauthTokenIdInput(): string | undefined;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/r/registry_module tfe_registry_module}.
 *
 * @stability stable
 */
export declare class RegistryModule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/r/registry_module tfe_registry_module} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RegistryModuleConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get moduleProvider(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get organization(): string;
    private _vcsRepo;
    /**
     * @stability stable
     */
    get vcsRepo(): RegistryModuleVcsRepoOutputReference;
    /**
     * @stability stable
     */
    putVcsRepo(value: RegistryModuleVcsRepo): void;
    /**
     * @stability stable
     */
    get vcsRepoInput(): RegistryModuleVcsRepo | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
