import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface TeamOrganizationMemberConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/team_organization_member#organization_membership_id TeamOrganizationMember#organization_membership_id}.
     *
     * @stability stable
     */
    readonly organizationMembershipId: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/team_organization_member#team_id TeamOrganizationMember#team_id}.
     *
     * @stability stable
     */
    readonly teamId: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/r/team_organization_member tfe_team_organization_member}.
 *
 * @stability stable
 */
export declare class TeamOrganizationMember extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/r/team_organization_member tfe_team_organization_member} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: TeamOrganizationMemberConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _organizationMembershipId?;
    /**
     * @stability stable
     */
    get organizationMembershipId(): string;
    /**
     * @stability stable
     */
    set organizationMembershipId(value: string);
    /**
     * @stability stable
     */
    get organizationMembershipIdInput(): string | undefined;
    private _teamId?;
    /**
     * @stability stable
     */
    get teamId(): string;
    /**
     * @stability stable
     */
    set teamId(value: string);
    /**
     * @stability stable
     */
    get teamIdInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
