import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface TeamTokenConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/team_token#force_regenerate TeamToken#force_regenerate}.
     *
     * @stability stable
     */
    readonly forceRegenerate?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/team_token#team_id TeamToken#team_id}.
     *
     * @stability stable
     */
    readonly teamId: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/r/team_token tfe_team_token}.
 *
 * @stability stable
 */
export declare class TeamToken extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/r/team_token tfe_team_token} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: TeamTokenConfig);
    private _forceRegenerate?;
    /**
     * @stability stable
     */
    get forceRegenerate(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set forceRegenerate(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetForceRegenerate(): void;
    /**
     * @stability stable
     */
    get forceRegenerateInput(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _teamId?;
    /**
     * @stability stable
     */
    get teamId(): string;
    /**
     * @stability stable
     */
    set teamId(value: string);
    /**
     * @stability stable
     */
    get teamIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get token(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
