import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface WorkspaceConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#agent_pool_id Workspace#agent_pool_id}.
     *
     * @stability stable
     */
    readonly agentPoolId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#allow_destroy_plan Workspace#allow_destroy_plan}.
     *
     * @stability stable
     */
    readonly allowDestroyPlan?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#auto_apply Workspace#auto_apply}.
     *
     * @stability stable
     */
    readonly autoApply?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#description Workspace#description}.
     *
     * @stability stable
     */
    readonly description?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#execution_mode Workspace#execution_mode}.
     *
     * @stability stable
     */
    readonly executionMode?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#file_triggers_enabled Workspace#file_triggers_enabled}.
     *
     * @stability stable
     */
    readonly fileTriggersEnabled?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#global_remote_state Workspace#global_remote_state}.
     *
     * @stability stable
     */
    readonly globalRemoteState?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#name Workspace#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#operations Workspace#operations}.
     *
     * @stability stable
     */
    readonly operations?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#organization Workspace#organization}.
     *
     * @stability stable
     */
    readonly organization: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#queue_all_runs Workspace#queue_all_runs}.
     *
     * @stability stable
     */
    readonly queueAllRuns?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#remote_state_consumer_ids Workspace#remote_state_consumer_ids}.
     *
     * @stability stable
     */
    readonly remoteStateConsumerIds?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#speculative_enabled Workspace#speculative_enabled}.
     *
     * @stability stable
     */
    readonly speculativeEnabled?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#ssh_key_id Workspace#ssh_key_id}.
     *
     * @stability stable
     */
    readonly sshKeyId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#structured_run_output_enabled Workspace#structured_run_output_enabled}.
     *
     * @stability stable
     */
    readonly structuredRunOutputEnabled?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#tag_names Workspace#tag_names}.
     *
     * @stability stable
     */
    readonly tagNames?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#terraform_version Workspace#terraform_version}.
     *
     * @stability stable
     */
    readonly terraformVersion?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#trigger_prefixes Workspace#trigger_prefixes}.
     *
     * @stability stable
     */
    readonly triggerPrefixes?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#working_directory Workspace#working_directory}.
     *
     * @stability stable
     */
    readonly workingDirectory?: string;
    /**
     * vcs_repo block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#vcs_repo Workspace#vcs_repo}
     *
     * @stability stable
     */
    readonly vcsRepo?: WorkspaceVcsRepo;
}
/**
 * @stability stable
 */
export interface WorkspaceVcsRepo {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#branch Workspace#branch}.
     *
     * @stability stable
     */
    readonly branch?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#identifier Workspace#identifier}.
     *
     * @stability stable
     */
    readonly identifier: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#ingress_submodules Workspace#ingress_submodules}.
     *
     * @stability stable
     */
    readonly ingressSubmodules?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/r/workspace#oauth_token_id Workspace#oauth_token_id}.
     *
     * @stability stable
     */
    readonly oauthTokenId: string;
}
export declare function workspaceVcsRepoToTerraform(struct?: WorkspaceVcsRepoOutputReference | WorkspaceVcsRepo): any;
/**
 * @stability stable
 */
export declare class WorkspaceVcsRepoOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): WorkspaceVcsRepo | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: WorkspaceVcsRepo | undefined);
    private _branch?;
    /**
     * @stability stable
     */
    get branch(): string;
    /**
     * @stability stable
     */
    set branch(value: string);
    /**
     * @stability stable
     */
    resetBranch(): void;
    /**
     * @stability stable
     */
    get branchInput(): string | undefined;
    private _identifier?;
    /**
     * @stability stable
     */
    get identifier(): string;
    /**
     * @stability stable
     */
    set identifier(value: string);
    /**
     * @stability stable
     */
    get identifierInput(): string | undefined;
    private _ingressSubmodules?;
    /**
     * @stability stable
     */
    get ingressSubmodules(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set ingressSubmodules(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetIngressSubmodules(): void;
    /**
     * @stability stable
     */
    get ingressSubmodulesInput(): boolean | cdktf.IResolvable | undefined;
    private _oauthTokenId?;
    /**
     * @stability stable
     */
    get oauthTokenId(): string;
    /**
     * @stability stable
     */
    set oauthTokenId(value: string);
    /**
     * @stability stable
     */
    get oauthTokenIdInput(): string | undefined;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/tfe/r/workspace tfe_workspace}.
 *
 * @stability stable
 */
export declare class Workspace extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/tfe/r/workspace tfe_workspace} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: WorkspaceConfig);
    private _agentPoolId?;
    /**
     * @stability stable
     */
    get agentPoolId(): string;
    /**
     * @stability stable
     */
    set agentPoolId(value: string);
    /**
     * @stability stable
     */
    resetAgentPoolId(): void;
    /**
     * @stability stable
     */
    get agentPoolIdInput(): string | undefined;
    private _allowDestroyPlan?;
    /**
     * @stability stable
     */
    get allowDestroyPlan(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set allowDestroyPlan(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetAllowDestroyPlan(): void;
    /**
     * @stability stable
     */
    get allowDestroyPlanInput(): boolean | cdktf.IResolvable | undefined;
    private _autoApply?;
    /**
     * @stability stable
     */
    get autoApply(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set autoApply(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetAutoApply(): void;
    /**
     * @stability stable
     */
    get autoApplyInput(): boolean | cdktf.IResolvable | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _executionMode?;
    /**
     * @stability stable
     */
    get executionMode(): string;
    /**
     * @stability stable
     */
    set executionMode(value: string);
    /**
     * @stability stable
     */
    resetExecutionMode(): void;
    /**
     * @stability stable
     */
    get executionModeInput(): string | undefined;
    private _fileTriggersEnabled?;
    /**
     * @stability stable
     */
    get fileTriggersEnabled(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set fileTriggersEnabled(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetFileTriggersEnabled(): void;
    /**
     * @stability stable
     */
    get fileTriggersEnabledInput(): boolean | cdktf.IResolvable | undefined;
    private _globalRemoteState?;
    /**
     * @stability stable
     */
    get globalRemoteState(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set globalRemoteState(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetGlobalRemoteState(): void;
    /**
     * @stability stable
     */
    get globalRemoteStateInput(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _operations?;
    /**
     * @stability stable
     */
    get operations(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set operations(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetOperations(): void;
    /**
     * @stability stable
     */
    get operationsInput(): boolean | cdktf.IResolvable | undefined;
    private _organization?;
    /**
     * @stability stable
     */
    get organization(): string;
    /**
     * @stability stable
     */
    set organization(value: string);
    /**
     * @stability stable
     */
    get organizationInput(): string | undefined;
    private _queueAllRuns?;
    /**
     * @stability stable
     */
    get queueAllRuns(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set queueAllRuns(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetQueueAllRuns(): void;
    /**
     * @stability stable
     */
    get queueAllRunsInput(): boolean | cdktf.IResolvable | undefined;
    private _remoteStateConsumerIds?;
    /**
     * @stability stable
     */
    get remoteStateConsumerIds(): string[];
    /**
     * @stability stable
     */
    set remoteStateConsumerIds(value: string[]);
    /**
     * @stability stable
     */
    resetRemoteStateConsumerIds(): void;
    /**
     * @stability stable
     */
    get remoteStateConsumerIdsInput(): string[] | undefined;
    private _speculativeEnabled?;
    /**
     * @stability stable
     */
    get speculativeEnabled(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set speculativeEnabled(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetSpeculativeEnabled(): void;
    /**
     * @stability stable
     */
    get speculativeEnabledInput(): boolean | cdktf.IResolvable | undefined;
    private _sshKeyId?;
    /**
     * @stability stable
     */
    get sshKeyId(): string;
    /**
     * @stability stable
     */
    set sshKeyId(value: string);
    /**
     * @stability stable
     */
    resetSshKeyId(): void;
    /**
     * @stability stable
     */
    get sshKeyIdInput(): string | undefined;
    private _structuredRunOutputEnabled?;
    /**
     * @stability stable
     */
    get structuredRunOutputEnabled(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set structuredRunOutputEnabled(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetStructuredRunOutputEnabled(): void;
    /**
     * @stability stable
     */
    get structuredRunOutputEnabledInput(): boolean | cdktf.IResolvable | undefined;
    private _tagNames?;
    /**
     * @stability stable
     */
    get tagNames(): string[];
    /**
     * @stability stable
     */
    set tagNames(value: string[]);
    /**
     * @stability stable
     */
    resetTagNames(): void;
    /**
     * @stability stable
     */
    get tagNamesInput(): string[] | undefined;
    private _terraformVersion?;
    /**
     * @stability stable
     */
    get terraformVersion(): string;
    /**
     * @stability stable
     */
    set terraformVersion(value: string);
    /**
     * @stability stable
     */
    resetTerraformVersion(): void;
    /**
     * @stability stable
     */
    get terraformVersionInput(): string | undefined;
    private _triggerPrefixes?;
    /**
     * @stability stable
     */
    get triggerPrefixes(): string[];
    /**
     * @stability stable
     */
    set triggerPrefixes(value: string[]);
    /**
     * @stability stable
     */
    resetTriggerPrefixes(): void;
    /**
     * @stability stable
     */
    get triggerPrefixesInput(): string[] | undefined;
    private _workingDirectory?;
    /**
     * @stability stable
     */
    get workingDirectory(): string;
    /**
     * @stability stable
     */
    set workingDirectory(value: string);
    /**
     * @stability stable
     */
    resetWorkingDirectory(): void;
    /**
     * @stability stable
     */
    get workingDirectoryInput(): string | undefined;
    private _vcsRepo;
    /**
     * @stability stable
     */
    get vcsRepo(): WorkspaceVcsRepoOutputReference;
    /**
     * @stability stable
     */
    putVcsRepo(value: WorkspaceVcsRepo): void;
    /**
     * @stability stable
     */
    resetVcsRepo(): void;
    /**
     * @stability stable
     */
    get vcsRepoInput(): WorkspaceVcsRepo | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
